import type { Handle } from '@sveltejs/kit';
import axios from 'axios';

export const handle: Handle = async ({ event, resolve }) => {
	const apiKey = event.cookies.get('apiKey') ?? '';

	event.locals.comm = axios.create({
		baseURL: process.env.API_URL,
		timeout: 10000,
		headers: {
			'X-Api-Key': apiKey
		}
	});

	return resolve(event);
};
